%define rescan_version 1.35
%define rescan_script rescan-scsi-bus.sh

Summary: Utils for Linux's SCSI generic driver devices + raw devices
Name: sg3_utils
Version: 1.25
Release: 5%{?dist}
License: GPLv2+ and BSD
Group: Utilities/System
URL: http://sg.danny.cz/sg/sg3_utils.html
Source0: http://sg.danny.cz/sg/p/sg3_utils-%{version}.tgz
Source1: http://www.garloff.de/kurt/linux/%{rescan_script}-%{rescan_version}
Patch0: sg3_utils-1.25-431190-sg_map26-fix-usage-message.patch
Patch1: sg3_utils-1.25-431193-sg_test_rwbuf-fix-usage-message.patch
Patch2: sg3_utils-1.25-433614-sginfo-fix-man-page.patch
Patch3: sg3_utils-1.25-433773-sg_wr_mode-fix-man-page.patch
Patch4: sg3_utils-1.25-433779-sg_get_config-fix-options-definition.patch
Patch5: sg3_utils-1.25-435100-sg_ses-fix-man-page.patch
Patch6: sg3_utils-1.25-435275-sg_read_long-fix-return-value.patch
Patch7: sg3_utils-1.25-435677-sg_persist-fix-man-page.patch
Patch8: sg3_utils-1.25-437147-sg_wr_mode-fix-examples-in-man-page.patch
Patch9: sg3_utils-1.25-468040-sg_map26-fix-support-for-32-tapes.patch
Patch100: rescan-scsi-bus-fixes.patch
Provides: sg_utils
Requires: %{name}-libs = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Collection of Linux utilities for devices that use the SCSI command set.
Includes utilities to copy data based on "dd" syntax and semantics (called
sg_dd, sgp_dd and sgm_dd); check INQUIRY data and VPD pages (sg_inq); check
mode and log pages (sginfo, sg_modes and sg_logs); spin up and down
disks (sg_start); do self tests (sg_senddiag); and various other functions.
See the README, CHANGELOG and COVERAGE files. Requires the linux kernel 2.4
series or later. In the 2.4 series SCSI generic device names (e.g. /dev/sg0)
must be used. In the 2.6 series other device names may be used as
well (e.g. /dev/sda).

Warning: Some of these tools access the internals of your system
and the incorrect usage of them may render your system inoperable.

%package libs
Summary: Shared library for %{name}
Group: System/Libraries

%description libs
This package contains the shared library for %{name}.

%package devel
Summary: Static library and header files for the sgutils library
Group: Development/C
Requires: %{name}-libs = %{version}-%{release}

%description devel
This package contains the static %{name} library and its header files for
developing applications.

%prep
%setup -q
%patch0 -p1 -b .431190
%patch1 -p1 -b .431193
%patch2 -p1 -b .433614
%patch3 -p1 -b .433773
%patch4 -p1 -b .433779
%patch5 -p1 -b .435100
%patch6 -p1 -b .435275
%patch7 -p1 -b .435677
%patch8 -p1 -b .437147
%patch9 -p1 -b .468040

# rescan-scsi-bus.sh
cp -p %{SOURCE1} %{rescan_script}
%patch100 -p1 -b .orig


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -p -m 755 %{rescan_script} $RPM_BUILD_ROOT%{_bindir}
( cd $RPM_BUILD_ROOT%{_bindir}; ln -sf %{rescan_script} scsi-rescan )


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc ChangeLog COVERAGE CREDITS INSTALL README README.sg_start
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man8/*

%files libs
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/scsi/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

 
%changelog
* Thu Sep 23 2010 Dan Horak <dhorak@redhat.com> - 1.25-5
- update the rescan script to 1.35 + fixes (#529654)
- Resolves: #529654

* Tue Jul 14 2009 Dan Horak <dhorak@redhat.com> - 1.25-4
- fix some issues with rescan-scsi-bus.sh script (#507379)
- install a symlink to the rescan script with more obvious name
- Resolves: #507379

* Tue Mar 31 2009 Dan Horak <dhorak@redhat.com> - 1.25-3
- add dependency between the library and the main package (#492921)
- Resolves: #492921

* Wed Mar 11 2009 Dan Horak <dhorak@redhat.com> - 1.25-2
- update URLs
- fix man pages for sginfo, sg_wr_mode, sg_ses, sg_persist (#433614, #433773, #435100, #435677, #437147)
- fix usage messages in sg_map26, sg_test_rwbuf (#431190, #431193)
- fix return value in sg_read_long (#435275)
- fix options definition in sg_get_config (#433779)
- fix sg_map26 with more than 32 tapes (#468040)
- include rescan-scsi-bus script (#467201)
- Resolves: #431190, #431193, #433614, #433773, #433779, #435100, #435275, #435677, #437147, #468040, #467201

* Tue Jan 15 2008 Phil Knirsch <pknirsch@redhat.com> - 1.25-1.el5
- Rebase to sg3_utils-1.25 (#235159)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.20-2.1
- rebuild

* Wed Jun 07 2006 Phil Knirsch <pknirsch@redhat.com> - 1.20-2
- Fixed rebuild problem on latest toolchain
- Added missing buildprereqs

* Fri May 19 2006 Phil Knirsch <pknirsch@redhat.com> - 1.20-1
- Update to sg3_utils-1.20.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.19-1.1
- bump again for double-long bug on ppc(64)

* Fri Feb 10 2006 Phil Knirsch <pknirsch@redhat.com> - 1.19-1
- Update to sg3_utils-1.19.
- Fixed rebuild problem on 64bit archs.

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.17-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Nov 07 2005 Phil Knirsch <pknirsch@redhat.com> 1.17-1
- Update to sg3-utils-1.17
- Split package up into 3 subpackages: sg3_utils, devel and libs
- Some minor updates to the specfile

* Wed Mar 02 2005 Phil Knirsch <pknirsch@redhat.com> 1.06-5
- bump release and rebuild with gcc 4

* Fri Feb 18 2005 Phil Knirsch <pknirsch@redhat.com> 1.06-4
- rebuilt

* Tue Aug 03 2004 Phil Knirsch <pknirsch@redhat.com> 1.06-3
- rebuilt

* Thu Mar 11 2004 Tim Powers <timp@redhat.com> 1.06-2
- rebuild

* Wed Feb 18 2004 Phil Knirsch <pknirsch@redhat.com> 1.06-1
- Initial version for RHEL3 U2.

* Fri Jan 09 2004 - dgilbert@interlog.com
- sg3_utils.spec for mandrake; more sginfo work, sg_scan, sg_logs
  * sg3_utils-1.06

* Wed Nov 12 2003 - dgilbert@interlog.com
- sg_readcap: sizes; sg_logs: double fetch; sg_map 256 sg devices; sginfo
  * sg3_utils-1.05

* Tue May 13 2003 - dgilbert@interlog.com
- default sg_turs '-n=' to 1, sg_logs gets '-t' for temperature, CREDITS
  * sg3_utils-1.04

* Wed Apr 02 2003 - dgilbert@interlog.com
- 6 byte CDBs for sg_modes, sg_start on block devs, sg_senddiag, man pages
  * sg3_utils-1.03

* Wed Jan 01 2003 - dgilbert@interlog.com
- interwork with block SG_IO, fix in sginfo, '-t' for sg_turs
  * sg3_utils-1.02

* Wed Aug 14 2002 - dgilbert@interlog.com
- raw switch in sg_inq
  * sg3_utils-1.01

* Sun Jul 28 2002 - dgilbert@interlog.com
- decode sg_logs pages, add dio to sgm_dd, drop "gen=1" arg, "of=/dev/null"
  * sg3_utils-1.00

* Sun Mar 17 2002 - dgilbert@interlog.com
- add sg_modes+sg_logs for sense pages, expand sg_inq, add fua+sync to sg_dd++
  * sg3_utils-0.99

* Sat Feb 16 2002 - dgilbert@interlog.com
- resurrect sg_reset; snprintf cleanup, time,gen+cdbsz args to sg_dd++
  * sg3_utils-0.98

* Sun Dec 23 2001 - dgilbert@interlog.com
- move isosize to archive directory; now found in util-linux-2.10s and later
  * sg3_utils-0.97

* Fri Dec 21 2001 - dgilbert@interlog.com
- add sgm_dd, sg_read, sg_simple4 and sg_simple16 [add mmap-ed IO support]
  * sg3_utils-0.96

* Sun Sep 15 2001 - dgilbert@interlog.com
- sg_map can do inquiry; sg_dd, sgp_dd + sgq_dd dio help
  * sg3_utils-0.95

* Sun Apr 19 2001 - dgilbert@interlog.com
- add sg_start, improve sginfo and sg_map [Kurt Garloff]
  * sg3_utils-0.94

* Sun Mar 5 2001 - dgilbert@interlog.com
- add scsi_devfs_scan, add sg_include.h, 'coe' more general in sgp_dd
  * sg3_utils-0.93

* Tue Jan 16 2001 - dgilbert@interlog.com
- clean sg_err.h include dependencies, bug fixes, Makefile in archive directory
  * sg3_utils-0.92

* Mon Dec 21 2000 - dgilbert@interlog.com
- signals for sg_dd, man pages and additions for sg_rbuf and isosize
  * sg3_utils-0.91

* Mon Dec 11 2000 - dgilbert@interlog.com
- Initial creation of package, containing
  * sg3_utils-0.90
